Recommended update for python-kiwi

SUSE Recommended Update: Recommended update for python-kiwi
Announcement ID: SUSE-RU-2020:1039-1
Rating: important
References: #1165960 #1168480
Affected Products:
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1
  • SUSE Linux Enterprise Module for Development Tools 15-SP1

An update that has two recommended fixes can now be installed.

Description:

This update for python-kiwi fixes the following issues:

  • Fix for systems that use efi with grub2 version less than 2.04 there is no support for dynamic EFI environment checking. (bsc#1165960, bsc#1168480)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-1039=1
  • SUSE Linux Enterprise Module for Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP1-2020-1039=1

Package List:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (aarch64 ppc64le s390x x86_64):
    • python-kiwi-debugsource-9.20.5-3.15.1
  • SUSE Linux Enterprise Module for Development Tools 15-SP1 (aarch64 ppc64le s390x x86_64):
    • dracut-kiwi-lib-9.20.5-3.15.1
    • dracut-kiwi-live-9.20.5-3.15.1
    • dracut-kiwi-oem-dump-9.20.5-3.15.1
    • dracut-kiwi-oem-repart-9.20.5-3.15.1
    • dracut-kiwi-overlay-9.20.5-3.15.1
    • kiwi-man-pages-9.20.5-3.15.1
    • kiwi-tools-9.20.5-3.15.1
    • kiwi-tools-debuginfo-9.20.5-3.15.1
    • python-kiwi-debugsource-9.20.5-3.15.1
    • python3-kiwi-9.20.5-3.15.1
  • SUSE Linux Enterprise Module for Development Tools 15-SP1 (x86_64):
    • kiwi-pxeboot-9.20.5-3.15.1

References: